{% extends "base.html" %}
{% block title %}Gallerie{% endblock %}

{% block content %}

<div class="container-fluid">
    <div class="row mt-4 mx-2">
        <h2>Gallerie</h2>
        <p>Bilder, die bereits koloriert wurden. Hover über ein Bild um das ground truth Bild zu sehen (falls vorhanden). </p>
    </div>


    {% for image_original in images_original %}
    <div class="row mb-3 mx-3">
        <div class="col-2 px-0">
            <div class="card h-100">
                <div class="card-body">
                    <h4 class="card-title">Input / Grey</h4>
                    <p class="card-text">&nbsp;</p>
                </div>
                <div class="figure">
                    <img class="card-img-top grey-image"
                        src="{{ url_for('static', filename='grey_images/' + 'grey_' + image_original) }}"
                        alt="grey image">
                    <img class="card-img-top ground-truth-image"
                        src="{{ url_for('static', filename='uploads/' + image_original) }}" alt="groud truth">
                </div>
            </div>
        </div>
        <div class="col-2 px-0">
            <div class="card h-100">
                <div class="card-body">
                    <h4 class="card-title">Imagenet</h4>
                    <p class="card-text">35'000 Iterationen</p>
                </div>
                <div class="figure">
                    <img src="{{ url_for('static', filename='processed_images/' + 'colornet_iter_32731_' + image_original) }}"
                        class="img-fluid" alt="">
                    <img class="card-img-top ground-truth-image"
                        src="{{ url_for('static', filename='uploads/' + image_original) }}" alt="groud truth">
                    <img class="card-img-top ground-truth-image"
                        src="{{ url_for('static', filename='uploads/' + image_original) }}" alt="groud truth">
                </div>
            </div>
        </div>

        <div class="col-2 px-0">
            <div class="card h-100">
                <div class="card-body">
                    <h4 class="card-title">Imagenet</h4>
                    <p class="card-text">500'000 Iterationen</p>
                </div>
                <div class="figure">
                    <img src="{{ url_for('static', filename='processed_images/' + 'colornet_iter_500000_' + image_original) }}"
                        class="img-fluid" alt="">
                    <img class="card-img-top ground-truth-image"
                        src="{{ url_for('static', filename='uploads/' + image_original) }}" alt="groud truth">
                </div>
            </div>
        </div>

        <div class="col-2 px-0">
            <div class="card h-100">
                <div class="card-body">
                    <h4 class="card-title">Imagenet + crawled images</h4>
                    <p class="card-text">500'000 Iterationen</p>
                </div>
                <div class="figure">
                    <img src="{{ url_for('static', filename='processed_images/' + 'colornet_iter_500000_v6_' + image_original) }}"
                        class="img-fluid" alt="">
                    <img class="card-img-top ground-truth-image"
                        src="{{ url_for('static', filename='uploads/' + image_original) }}" alt="groud truth">
                </div>
            </div>
        </div>
        <div class="col-2 px-0">
            <div class="card h-100">
                <div class="card-body">
                    <h4 class="card-title">Imagenet + OpenImage + crawled images</h4>
                    <p class="card-text">500'000 Iterationen</p>
                </div>
                <div class="figure">
                    <img src="{{ url_for('static', filename='processed_images/' + 'colornet_iter_533000_v7_' + image_original) }}"
                        class="img-fluid" alt="">
                    <img class="card-img-top ground-truth-image"
                        src="{{ url_for('static', filename='uploads/' + image_original) }}" alt="groud truth">
                </div>
            </div>
        </div>
        <div class="col-2 px-0">
            <div class="card h-100">
                <div class="card-body">
                    <h4 class="card-title">Zhang</h4>
                    <p class="card-text">&nbsp;</p>
                </div>
                <div class="figure">
                    <img src="{{ url_for('static', filename='processed_images/' + 'colorization_release_v2_zhang_' + image_original) }}"
                        class="img-fluid" alt="">
                    <img class="card-img-top ground-truth-image"
                        src="{{ url_for('static', filename='uploads/' + image_original) }}" alt="groud truth">
                </div>
            </div>
        </div>
    </div>
    {% endfor %}
</div>

{% endblock %}